Bug 214919 - desktop-effects fails with dual head ati
desktop-effects fails with dual head ati
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
  Show dependency treegraph
Reported: 2006-11-09 18:13 EST by Terri Kelley
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-23 17:27:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf and errors from xorg.0.log (3.47 KB, text/plain)
2006-11-09 18:13 EST, Terri Kelley
no flags Details

  None (edit)
Description Terri Kelley 2006-11-09 18:13:10 EST
Description of problem:
Desktop-effects on dual head ati 9800pro fail using default drivers supplied
with FC6.  Monitors are Dell 1905FP, one digital and one analog using supplied
connections on the ATI 9800pro card.

Version-Release number of selected component (if applicable):

How reproducible:
Type desktop-effects from command line.

Steps to Reproduce:
Actual results:
compiz: No RandR extension
The program 'gnome-window-decorator' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
(Details: serial 623 error_code 179 request_code 153 minor_code 8)
(Note to programmers: normally, X errors are reported asynchronously;
that is, you will receive the error a while after causing it.
To debug your program, run it with the --sync command line
option to change this behavior. You can then get a meaningful
backtrace from your debugger if you break on the gdk_x_error() function.)

Expected results:
desktop-effects should run.

Additional info: see attachment for xorg.conf and errors from Xorg.0.log.
Comment 1 Terri Kelley 2006-11-09 18:13:10 EST
Created attachment 140852 [details]
xorg.conf and errors from xorg.0.log
Comment 2 Aaron VanDevender 2006-11-09 18:22:02 EST
This is not a bug. You cannot use OpenGL based effects with Xinerama based
dualhead setups, since Xinerama abstracts out the card. It's almost like you
aren't even using an ATI card anymore, you're using an Xinerama card. You can
get desktop effects to work in dual head mode, however, by using MergedFB. That
will create a single framebufffer for both heads that OpenGL can work with. Read
about MergedFB in the radeon man page.

Note You need to log in before you can comment on or make changes to this bug.